petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetColumnVector

Gets the values from a given column of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetColumnVector(Mat A,Vec yy,PetscInt col)

Not Collective Many br

### Input Parameters

| A | - the matrix Many br
| yy | - the vector Many br
| c | - the column requested (in global numbering) Many br

Many br

### Notes

Each processor for which this is called gets the values for its rows. Many br

Since PETSc matrices are usually stored in compressed row format, this routine Many brwill generally be slow. Many br

The vector must have the same parallel row layout as the matrix. Many br

Contributed by: Denis Vanderstraeten Many br

### Keywords

matrix, column, get

### See Also

MatGetRow(), MatGetDiagonal()

Level:advanced
Location:src/mat/utils/getcolv.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages